
@font-face {
  font-family: 'n27regular_italic';
  src: url('../assets/N27 Webfont Complete/webfont files/n27-regularitalic-webfont.eot');
}

@font-face {
  font-family: 'n27light';
  src: url('../assets/N27 Webfont Complete/webfont files/n27-light-webfont.eot');
}

@font-face {
  font-family: 'n27bold';
  src: url('../assets/N27 Webfont Complete/webfont files/n27-bold-webfont.eot');
}

/****FONTS*****/
@font-face {
  font-family: "n27regular";
  src: url("../assets/N27 Webfont Complete/webfont files/n27-regular-webfont.ttf");
}
@font-face {
  font-family: "n27thin";
  src: url("../assets/N27 Webfont Complete/webfont files/n27-thin-webfont.ttf");
}

@keyframes upscale  {
  0%   { background-size: 10% auto;}
  100% { background-size: 210% auto;}
}
@keyframes slidein {
  0%   { opacity:0.0; left:-100px}
  50%   { opacity:0.0; left:-100px}
  100% { opacity:1.0; left:0}
}
/****/

*, a {
  margin: 0;
  padding: 0;
  text-decoration: none;
  font-family: 'n27regular', sans-serif;
  color: white;
}

html{
  display: flex;
  height: 100vh;
  width: 100vw;
  background: black;
}

body{
  height: 100%;
  width: 100%;

  display: flex;
  flex-direction: column;
  --justify-content: center;
  --justify-items: center;

  background-image: url("../assets/images/WELCOME_Haghefilm.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  transition-timing-function: ease-in;
  animation: upscale 2s forwards;
}



/******** EXPERIENCE *******/

#wrapper{
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
}

#bg-wrapper{
  width: 100%;
  height: 100%;
  display: flex;
  position: absolute;
  top: 0;
  background: rgba(0, 0, 0, 0.7);

  z-index: 1;
}

#sub-wrapper{
  box-sizing: border-box;
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  align-items: center;
  z-index: 2;
  --padding-top: 5vh;
  --padding-bottom: 5vh;
  position: relative;
  animation: slidein 3s forwards;

  --background: red;

}

#logo img{
  width: min(15vw,220px);
  --margin-top: 8%;
  --margin-bottom: 15%;

  --background: blue;
}

#logo2 img{
  width: 55vw;
  margin-top: 1.5%;
  margin-bottom: 1.5%;

  --background: purple;
}

h3{
  font-style: italic;
  font-weight: 400;
  font-size: max(1.5vw,20px);
  --line-height: 0px;
}
h3:nth-of-type(1){
  margin-top: 3%;
}

#experience-text{
  width: 70%;
  margin-top: 1.5%;

  font-style: normal;
  font-weight: 400;
  font-size: min(1.3vw,20px);
  line-height: 150%;
}


#experience{
  --position: absolute;
  --bottom: 8%;

  display: flex;
  height: 7vh;
  width: min(50%,350px);
  padding-bottom: 2px;
  --margin-top: 3%;
  border:  solid 1px white;
  border-radius: 3px;
  color: white;

  transition: all .3s ease-out;


  --box-sizing: border-box;
  margin-top: 4%;

}

a{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  width: 100%;
  padding-left: 4%;
  padding-right: 4%;
}
.pellicule{
  height: min(2vw,10px);
  width: 100%;
  background-image: url('../assets/images/white-unfilled.svg');

  z-index: 3;

}

#experience:hover{
  background: white;
}
a:hover p{
  color: black;
}
#experience:hover .pellicule{
  background-image: url('../assets/images/white-filled.svg');
}

/*** MOBILE SCREEN ***/

@media screen and (max-width: 499px) {
  @keyframes upscale {
    0% {
      background-size: 10% auto;
    }
    100% {
      background-size: 380% auto;
    }
  }

  #logo img{
    width: 55%;
    margin-bottom: 8%;
  }

  #logo2 img{
    width: 85%;
    margin-top: 2%;
    margin-bottom: 2%;

    --background: red;
  }

  #haghefilm{
    font-size:60px;
    margin-top:3%;
    margin-bottom:3%;
  }

  h3 {
    font-size:25px;
  }
  #intro-text{
    font-size:18px;
  }
  #experience{
    width:80%;
    height:8vh;
    margin-bottom: 10%;
  }
  .pellicule{
    --background:red;
    height: max(2vw, 10px);
  }
  #experience-text{
    width: 80%;
    margin-top: 5%;
    margin-bottom: 5%;

    font-style:normal;
    font-weight:400;
    font-size:min(3.5vw,20px);
    line-height:150%;
  }
  h3:nth-of-type(1){
    margin-top:5%;
  }

}
